Subject: [bug#36872] [PATCH 2/2] remote: Remove '--system' argument.

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 06 Aug 2019 17:29:50 -0400

Hey Chris!

Christopher Lemmer Webber <[email-masked]> writes:

> I'm still wondering whether asking the remote machine what its
> architecture is won't turn out to be fragile in some way, though I'm not
> sure how to articulate how that would be yet.  It seems like a weird
> side effect to apply before doing the build.  (What if we want to build
> derivations when we don't actually have a machine up and running yet?
> Etc, etc.)

I agree that it isn't the purest solution, but my thinking is that
'remote-eval' is meant to be effectful anyway. As for the situation
where we build derivations for a machine that isn't running yet: I think
we can cross that bridge when we get to it -- 'guix deploy' doesn't have
the feature at the moment.

Regards,
Jakob